## org.apache.tools.ant.util
Class Watchdog

    java.lang.Object
      |
      +--org.apache.tools.ant.util.Watchdog

All Implemented Interfaces:
  java.lang.Runnable

public class Watchdog
extends java.lang.Object
implements java.lang.Runnable

Generalization of `ExecuteWatchdog`

Since:
  Ant 1.5
See Also:
  `ExecuteWatchdog`

Constructor Summary
`Watchdog(long timeout)`

Method Summary
`void` `addTimeoutObserver(TimeoutObserver to)`
`protected void` `fireTimeoutOccured()`
`void` `removeTimeoutObserver(TimeoutObserver to)`
`void` `run()`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Watchdog

    public Watchdog(long timeout)

Method Detail

### addTimeoutObserver

    public void addTimeoutObserver(TimeoutObserver to)

### removeTimeoutObserver

    public void removeTimeoutObserver(TimeoutObserver to)

### fireTimeoutOccured

    protected final void fireTimeoutOccured()

### start

    public void start()

### stop

    public void stop()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.